/* AMX Mod X
*   Force Gaspuff Files
*
* (c) Copyright 2007 by VEN
*
* This file is provided as is (no warranties)
*/

#include <amxmodx>

// force consistency of exact files
#define FORCE_UNMODIFIED_FILES

// forced files list
new const g_files[][] = {
	"sprites/black_smoke1.spr",
	"sprites/black_smoke2.spr",
	"sprites/black_smoke3.spr",
	"sprites/black_smoke4.spr",
	"sprites/fast_wallpuff1.spr",
	"sprites/gas_puff_01.spr",
	"sprites/gas_puff2.spr",
	"sprites/gas_puff3.spr",
	"sprites/gas_puff4.spr",
	"sprites/gas_smoke1.spr",
	"sprites/gas_smoke3.spr",
	"sprites/gas_smoke4.spr",
	"sprites/large_smoke_01_ind.spr",
//	"sprites/puff.spr",
	"sprites/smoke02.spr",
	"sprites/smokepuff.spr",
	"sprites/wall_puff1.spr",
	"sprites/wall_puff2.spr",
	"sprites/wall_puff3.spr",
	"sprites/wall_puff4.spr"
}

public plugin_init() {
	register_plugin("Force Gaspuff Files", "0.1", "VEN")
}

public plugin_precache() {
	for (new i; i < sizeof g_files; ++i) {
		precache_model(g_files[i])

#if defined FORCE_UNMODIFIED_FILES
		force_unmodified(force_exactfile, {0, 0, 0}, {0, 0, 0}, g_files[i])
#endif
	}

}
